Package org.eclipse.net4j.util.security

## Class PasswordCredentialsProvider

- java.lang.Object
- - org.eclipse.net4j.util.security.PasswordCredentialsProvider

- All Implemented Interfaces:
    `ICredentialsProvider`, `IPasswordCredentialsProvider`
  Direct Known Subclasses:
    `PasswordCredentialsProvider.Delegating`

      public class PasswordCredentialsProvider
      extends java.lang.Object
      implements IPasswordCredentialsProvider

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PasswordCredentialsProvider.Delegating` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordCredentialsProvider()` |
    `PasswordCredentialsProvider​(java.lang.String userID, char[] password)` |
    `PasswordCredentialsProvider​(java.lang.String userID, java.lang.String password)` |
    `PasswordCredentialsProvider​(IPasswordCredentials credentials)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPasswordCredentials` | `getCredentials()` |
    `boolean` | `isInteractive()` |
    `void` | `setCredentials​(IPasswordCredentials credentials)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordCredentialsProvider

          public PasswordCredentialsProvider()

      Since:
        3.1

    - #### PasswordCredentialsProvider

          public PasswordCredentialsProvider​(IPasswordCredentials credentials)

    - #### PasswordCredentialsProvider

          public PasswordCredentialsProvider​(java.lang.String userID,
                                             char[] password)

      Since:
        2.0

    - #### PasswordCredentialsProvider

          public PasswordCredentialsProvider​(java.lang.String userID,
                                             java.lang.String password)

      Since:
        2.0

  - ### Method Detail

    - #### isInteractive

          public boolean isInteractive()

      Specified by:
        `isInteractive` in interface `ICredentialsProvider`

    - #### getCredentials

          public IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`
      Specified by:
        `getCredentials` in interface `IPasswordCredentialsProvider`

    - #### setCredentials

          public void setCredentials​(IPasswordCredentials credentials)

      Since:
        3.1